﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=13
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Private nid As Int = 1    ' notification id
	Private player1 As SimpleExoPlayer
	Private station As String
End Sub

Sub Service_Create
	player1.Initialize("player")
End Sub

Sub Service_Start (StartingIntent As Intent)
	Service.StartForeground( nid, CreateNotification("waiting..."))
'	Service.StopAutomaticForeground 'Call this when the background task completes (if there is one)
End Sub


Sub load( url As String)
	station = url
	Dim n As Notification = CreateNotification("loading " & url)
	n.Notify(nid)
	
	player1.Prepare(player1.CreateUriSource(url))
	player1.Play

End Sub

Sub stop
	player1.Pause
	Dim n As Notification = CreateNotification("stopping...")
	n.Notify(nid)
End Sub

Sub Service_Destroy
	player1.Pause
	player1.Release
End Sub


Sub mp_StreamReady
	Dim n As Notification = CreateNotification("streaming " & station)
	n.Notify(nid)
End Sub

Sub mp_StreamError (ErrorCode As String, ExtraData As Int)
	Dim n As Notification = CreateNotification("error: " & ErrorCode)
	n.Notify(nid)
End Sub

Sub player_Error (Message As String)
	Dim n As Notification = CreateNotification("error: " & Message)
	n.Notify(nid)
	Log( "error: " & Message )
End Sub

Sub player_Ready
	Dim n As Notification = CreateNotification("streaming " & station)
	n.Notify(nid)
	
End Sub

Sub CreateNotification (Body As String) As Notification
	Dim notification As Notification
	notification.Initialize2(notification.IMPORTANCE_LOW)
	notification.Icon = "icon"
	notification.Sound = False
	notification.SetInfo("Exo", Body, Main)
	Return notification
End Sub

